Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.type
Class ImageDescriptor

    java.lang.Object
      com.beanexplorer.beans.Option
          biouml.standard.type.ImageDescriptor

All Implemented Interfaces:
  java.awt.image.ImageObserver

public class ImageDescriptor
extends com.beanexplorer.beans.Option
implements java.awt.image.ImageObserver

Field Summary
`protected static java.awt.Component` | `component`
`static java.awt.Dimension` | `DEFAULT_ORIGINAL_SIZE`
`protected java.awt.Image` | `image`
`protected int` | `loadStatus`
`protected java.awt.Dimension` | `originalSize` Original size of the image.
`protected java.awt.Dimension` | `size` The image size.
`protected java.lang.String` | `source` The image source.
`protected static java.awt.MediaTracker` | `tracker`

Fields inherited from class com.beanexplorer.beans.Option
`notificationEnabled, propagationEnabled`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ImageDescriptor()` Creates emty image.
`ImageDescriptor(java.lang.String source)`
`ImageDescriptor(java.lang.String source, java.awt.Dimension size)`

Method Summary
`java.awt.Image` | `getImage()`
`java.awt.Dimension` | `getOriginalSize()`
`java.awt.Dimension` | `getSize()`
`java.lang.String` | `getSource()`
`boolean` | `imageUpdate(java.awt.Image img, int info, int x, int y, int width, int height)` Implements the image observer interface.
`protected void` | `loadImage()` Loads the image, returning only when the image is loaded.
`void` | `setSize(java.awt.Dimension size)`
`void` | `setSource(java.lang.String source)`

Methods inherited from class com.beanexplorer.beans.Option
`addPropertyChangeListener, copyListenersTo, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getParent, isNotificationEnabled, isPropagationEnabled, removePropertyChangeListener, setNotificationEnabled, setParent, setPropagationEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### component

    protected static final java.awt.Component component

### tracker

    protected static final java.awt.MediaTracker tracker

### DEFAULT_ORIGINAL_SIZE

    public static final java.awt.Dimension DEFAULT_ORIGINAL_SIZE

### source

    protected java.lang.String source

  The image source. Generally it should be name of image file.

### size

    protected java.awt.Dimension size

  The image size.

### originalSize

    protected java.awt.Dimension originalSize

  Original size of the image.

### image

    protected java.awt.Image image

### loadStatus

    protected int loadStatus

Constructor Detail

### ImageDescriptor

    public ImageDescriptor(java.lang.String source,
                           java.awt.Dimension size)

### ImageDescriptor

    public ImageDescriptor(java.lang.String source)

### ImageDescriptor

    public ImageDescriptor()

  Creates emty image.

Method Detail

### getSource

    public java.lang.String getSource()

### setSource

    public void setSource(java.lang.String source)

### getSize

    public java.awt.Dimension getSize()

### setSize

    public void setSize(java.awt.Dimension size)

### getOriginalSize

    public java.awt.Dimension getOriginalSize()

### getImage

    public java.awt.Image getImage()

### imageUpdate

    public boolean imageUpdate(java.awt.Image img,
                               int info,
                               int x,
                               int y,
                               int width,
                               int height)

  Implements the image observer interface.

  Specified by:
    `imageUpdate` in interface `java.awt.image.ImageObserver`

### loadImage

    protected void loadImage()

  Loads the image, returning only when the image is loaded.

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.